### Method

# GimpUi PreviewArea draw

#### Declaration [src]

    void
    gimp_preview_area_draw (
      GimpPreviewArea* area,
      gint x,
      gint y,
      gint width,
      gint height,
      GimpImageType type,
      const guchar* buf,
      gint rowstride
    )

#### Description [src]

Draws `buf` on `area` and queues a redraw on the given rectangle.

Since GIMP 2.2.

#### Parameters

`x`

  Type: `gint`

  X offset in preview.

`y`

  Type: `gint`

  Y offset in preview.

`width`

  Type: `gint`

  Buffer width.

`height`

  Type: `gint`

  Buffer height.

`type`

  Type: `GimpImageType`

  The `GimpImageType` of `buf`.

`buf`

  Type: An array of `guchar`

  A #guchar buffer that contains the preview pixel data.

  The data is owned by the caller of the method.

`rowstride`

  Type: `gint`

  Rowstride of `buf`.